/**
 * OW2 Util
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: BasicAuditReport.java 5360 2010-02-24 14:29:45Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.auditreport.impl;

import org.ow2.util.auditreport.api.IAuditReport;
import org.ow2.util.auditreport.impl.util.ObjectEncoder;

/**
 * The basic audit report class.
 * @author Mathieu ANCELIN
 */
public class BasicAuditReport implements IAuditReport {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = 7931059292221813392L;

    /**
     * The timestamp of the audited request.
     */
    private long requestTimeStamp = 0;

    /**
     * The default constructor.
     */
    public BasicAuditReport() {
    }

    /**
     * @return the requestTimeStamp
     */
    public final long getRequestTimeStamp() {
        return requestTimeStamp;
    }

    /**
     * @param requestTimeStamp the requestTimeStamp to set
     */
    public final void setRequestTimeStamp(final long requestTimeStamp) {
        this.requestTimeStamp = requestTimeStamp;
    }

    /**
     * Overrides the toString() method by using the objectEncode.
     * @return a stringified representation of this object.
     */
    @Override
    public String toString() {
        return ObjectEncoder.encode(this);
    }
}
